* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;

    background: #f5f5f5;

    display: flex;
    justify-content: center;
}

.container {
    width: 100%;
    max-width: 390px;
    min-height: 100vh;

    background: #fff;
}

.poster {
    width: 100%;
    position: relative;
}

.poster img {
    width: 100%;
    display: block;
}

/* MENU */
.menu-wrapper {
    padding: 0 0 30px;
    background-image: url('poster.jpg');
    background-size: cover;
    background-position: bottom;
}

.dark-img{
    width: 400px;
    filter: brightness(70%);
}

/* area icon */
.icon-footer {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);

    display: grid;
    grid-template-columns: repeat(5, 1fr);

    gap: 40px 10px;

    /* background: rgba(0, 0, 0, 0.5); */
    padding: 15px;
    border-radius: 15px;
}

.icon-btn {
    width: 50px;
    height: 50px;

    border-radius: 50%;
    /* background: white; */
    /* color: black; */

    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;
    transition: 0.3s;
}

/*.bottom{*/
/*    grid-column: 2;*/
/*}*/

.icon-btn:hover {
    /* background: red;
    color: white; */
    transform: scale(1.1);
}

/* BUTTON */
.menu-btn {
    width: 100%;
    height: 32px;

    border: none;
    outline: none;

    margin-bottom: 12px;

    background: #f8e641;
    color: rgb(0, 0, 0);

    font-size: 10px;
    font-weight: 700;
    letter-spacing: 1px;

    border-radius: 8px;

    cursor: pointer;

    box-shadow:
        0 4px 10px rgba(0, 0, 0, 0.18);

    transition: 0.3s ease;
}

.menu-btn:hover {
    transform: translateY(-2px);

    box-shadow:
        0 6px 14px rgba(0, 0, 0, 0.22);
}

.menu-btn:active {
    transform: scale(0.98);
}


/* BOX BIRU */
.header-box {
    background: #f8e641;
    text-align: center;
    padding: 30px 20px;
    color: rgb(0, 0, 0);
    font-weight: bold;
    position: relative;
}

/* JUDUL */
.header-box h1 {
    margin: 0;
    font-size: 34px;
    line-height: 1.2;
    text-transform: uppercase;
}

/* SUBTITLE */
.header-box p {
    margin-top: 10px;
    font-size: 22px;
    text-transform: uppercase;
}

/* SEARCH AREA */
.search-container {
    width: 100%;
    max-width: 900px;
    margin: -15px auto 30px;
    margin-top: 10px;
    display: flex;
    background: white;
    border: 1px solid #ccc;
}

/* INPUT */
.search-container input {
    flex: 1;
    padding: 14px;
    border: none;
    outline: none;
    font-size: 16px;
}

/* BUTTON */
.search-container button {
    width: 60px;
    border: none;
    background: #f2f2f2;
    cursor: pointer;
    font-size: 20px;
}

/* HASIL */
.result {
    max-width: 900px;
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 8px;
}

/* ITEM ROOM */
.room-item {
    padding: 12px;
    border-bottom: 1px solid #ddd;
}

.room-item:last-child {
    border-bottom: none;
}

.not-found {
    color: red;
    font-weight: bold;
}